summaryrefslogtreecommitdiffstats
path: root/debian/dovecot-ldap.postinst
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--debian/dovecot-ldap.postinst22
1 files changed, 22 insertions, 0 deletions
diff --git a/debian/dovecot-ldap.postinst b/debian/dovecot-ldap.postinst
new file mode 100644
index 0000000..d259966
--- /dev/null
+++ b/debian/dovecot-ldap.postinst
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+set -e
+
+if [ "$1" = "configure" ]; then
+ CONFFILES="dovecot-ldap.conf.ext
+ conf.d/auth-ldap.conf.ext"
+
+ for conffile in $CONFFILES ; do
+ # Tell ucf that the file in /usr/share/dovecot is the latest
+ # maintainer version, and let it handle how to manage the real
+ # configuration file in /etc/dovecot.
+ ucf --three-way "/usr/share/dovecot/$conffile" "/etc/dovecot/$conffile"
+ ucfr dovecot-ldap "/etc/dovecot/$conffile"
+ if [ "$conffile" != "dovecot.conf" ] && [ -f "/etc/dovecot/$conffile" ] &&
+ [ "$(echo "$conffile" | cut -b -7)" != "conf.d/" ]; then
+ chmod 0600 "/etc/dovecot/$conffile"
+ fi
+ done
+fi
+
+#DEBHELPER#